<?php

namespace App\Controllers;

class Home extends BaseController
{
    protected $db;
    public $con_name = 'default';


    public function index()
    {
        return view('welcome_message');
    }

    public function home(){
        return view('site/home');
    }
    public function about(){
        $data=array();
		$this->renderSitePage('about',$data);
    }
    public function services(){
        $data=array();
        $this->renderSitePage('services',$data);
    }
    public function contact(){
        $data=array();
        $this->renderSitePage('contact',$data);
    }
    public function blog(){
        $data=array();
        $this->db = \Config\Database::connect($this->con_name);

        try {
            $mysql = "SELECT  id, post_title, post_content,post_date,comment_count FROM wp_posts WHERE post_type='post' AND post_status = 'publish' ORDER BY post_date DESC LIMIT 9";


            $mysql = "SELECT p1.id AS id,  p1.*, wm2.meta_value FROM  wp_posts p1 LEFT JOIN   wp_postmeta wm1
            ON (wm1.post_id = p1.id AND wm1.meta_value IS NOT NULL AND wm1.meta_key = '_thumbnail_id' )    
            LEFT JOIN 
            wp_postmeta wm2
            ON (wm1.meta_value = wm2.post_id AND wm2.meta_key = '_wp_attached_file' AND wm2.meta_value IS NOT NULL   )
            WHERE
            p1.post_status='publish'
            AND p1.post_type='post'
            ORDER BY p1.post_date DESC LIMIT 9";
            


            $query = $this->db->query($mysql);

            $row = $query->getResultArray();
            //  print_r( $row );
            // $r = $this->db->query($mysql);
            $data["blog_array"] = $row;
        } catch (Exception $ex) {
            
        }

        // featured
        try {
            $mysql = "SELECT  id, post_title, post_content,post_date,comment_count 
			          FROM wp_posts WHERE post_type='post' AND post_status = 'publish' AND id = 263";
            $query = $this->db->query($mysql);

            $rowF = $query->getResultArray();
            // print_r( $rowF );
            // $r = $this->db->query($mysql);
            $data["blog_featured"] = $rowF[0];
        } catch (Exception $ex) {
            
        }



        $this->renderSitePage('blog',$data);
    }

}
